Bug 624109 - SELinux is preventing /usr/bin/vmnet-natd "write" access on vmnet-natd-8.pid.
Summary: SELinux is preventing /usr/bin/vmnet-natd "write" access on vmnet-natd-8...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:69a91c3327d...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-13 17:32 UTC by Adam Royal
Modified: 2010-08-24 21:13 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-49.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 21:13:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Royal 2010-08-13 17:32:05 UTC
Summary:

SELinux is preventing /usr/bin/vmnet-natd "write" access on vmnet-natd-8.pid.

Detailed Description:

SELinux denied access requested by vmnet-natd. It is not expected that this
access is required by vmnet-natd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:vmware_host_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                vmnet-natd-8.pid [ file ]
Source                        vmnet-dhcpd
Source Path                   /usr/bin/vmnet-dhcpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-44.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.2.4.fc13.x86_64
                              #1 SMP Fri Jul 23 17:14:44 UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Fri 13 Aug 2010 01:30:49 PM EDT
Last Seen                     Fri 13 Aug 2010 01:30:49 PM EDT
Local ID                      06ff108d-377b-4355-86d0-2820dc8b5754
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281720649.814:117): avc:  denied  { write } for  pid=5597 comm="vmnet-natd" name="vmnet-natd-8.pid" dev=dm-1 ino=525050 scontext=unconfined_u:system_r:vmware_host_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1281720649.814:117): arch=c000003e syscall=2 success=no exit=-13 a0=1bea750 a1=241 a2=1a4 a3=7f53b4a989d0 items=0 ppid=1 pid=5597 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="vmnet-natd" exe="/usr/bin/vmnet-natd" subj=unconfined_u:system_r:vmware_host_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,vmnet-dhcpd,vmware_host_t,var_run_t,file,write
audit2allow suggests:

#============= vmware_host_t ==============
allow vmware_host_t var_run_t:file write;

Comment 1 Daniel Walsh 2010-08-13 18:51:51 UTC
Miroslav add

/var/run/vmnet.*			gen_context(system_u:object_r:vmware_var_run_t,s0)

Comment 2 Miroslav Grepl 2010-08-18 11:26:56 UTC
Fixed in selinux-policy-3.7.19-48.fc13

Comment 3 Fedora Update System 2010-08-20 13:02:03 UTC
selinux-policy-3.7.19-49.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-49.fc13

Comment 4 Fedora Update System 2010-08-21 04:33:48 UTC
selinux-policy-3.7.19-49.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-49.fc13

Comment 5 Fedora Update System 2010-08-24 21:12:36 UTC
selinux-policy-3.7.19-49.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.